<table *ngIf="tableMode else create" class="table table-sm table-striped">
  <tbody>
    <tr>
      <th>Id</th>
      <th>StatusName</th>
    </tr>
    <tr *ngFor="let s of statuses">
      <ng-template [ngIf]="status?.id != s.id" [ngIfElse]="edit">
        <td>{{s.id}}</td>
        <td>{{s.statusName}}</td>
        <td>
          <button class="btn btn-sm btn-primary" (click)="selectStatus(s.id)"
                  [disabled]="currentUser.checkIfAdmin">
            Edit
          </button>
          <button class="btn btn-sm btn-danger ml-1" (click)="deleteStatus(s.id)"
                  [disabled]="currentUser.checkIfAdmin">
            Delete
          </button>
        </td>
      </ng-template>
    </tr>
  </tbody>
  <tfoot>
    <tr>
      <td colspan="6" class="text-center">
        <button class="btn btn-primary" (click)="clearStatus(); tableMode=false"
                [disabled]="currentUser.checkIfAdmin">
          Create
        </button>
      </td>
    </tr>
  </tfoot>
</table>

<ng-template #edit>
  <td colspan="6" class="bg-light border p-3">
    <div class="form-group">
      <label>Id</label>
      <input class="form-control" [(ngModel)]="status.id" disabled />
    </div>
    <div class="form-group">
      <label>StatusName</label>
      <input class="form-control" [(ngModel)]="status.statusName" />
    </div>
    <div class="text-center">
      <button class="btn btn-sm btn-primary" (click)="updatStatus(status.id)">
        Save
      </button>
      <button class="btn btn-sm btn-info ml-1" (click)="clearStatus()">
        Cancel
      </button>
    </div>
  </td>
</ng-template>

<ng-template #create>
  <div class="m-2">
    <div class="form-group">
      <label>Id</label>
      <input class="form-control" [(ngModel)]="status.id" disabled />
    </div>
    <div class="form-group">
      <label>StatusName</label>
      <input class="form-control" [(ngModel)]="status.statusName" />
    </div>
    <div class="text-center">
      <button class="btn btn-sm btn-primary" (click)="createStatus(status.id)">
        Save
      </button>
      <button class="btn btn-sm btn-info ml-1" (click)="clearStatus()">
        Cancel
      </button>
    </div>
  </div>
</ng-template>
